Bug 13405 - System information has misleading information about indexing mode
Summary: System information has misleading information about indexing mode
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Zeno Tajoli
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-07 19:06 UTC by Mirko Tietgen
Modified: 2017-12-07 22:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:


Attachments
Inserted a link to "Switching to dom indexing" inside wiki (2.53 KB, patch)
2016-09-19 15:12 UTC, Zeno Tajoli
Details | Diff | Splinter Review
Bug 13405 - System information has misleading information about indexing mode (2.58 KB, patch)
2016-09-19 17:27 UTC, Mark Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 13405 - System information has misleading information about indexing mode (2.64 KB, patch)
2016-09-25 08:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Tietgen 2014-12-07 19:06:54 UTC
At the moment the description in system information sounds like the only thing you have to do to switch from grs1 to dom indexing is to set <zebra_bib_index_mode> and <zebra_auth_index_mode> to 'dom'. Apparently that is not true and may lead to confusion.
Comment 1 Katrin Fischer 2016-09-19 00:28:33 UTC
Should we still fix this?
Comment 2 Zeno Tajoli 2016-09-19 15:12:26 UTC
Created attachment 55694 [details] [review]
Inserted a link to "Switching to dom indexing" inside wiki
Comment 3 Mark Tompsett 2016-09-19 17:24:29 UTC
TEST PLAN
----------
back up koha-conf.xml

remove the "-dom" from:
<config>/home/mtompset/koha-dev/etc/zebradb/zebra-biblios-dom.cfg</config>
<config>/home/mtompset/koha-dev/etc/zebradb/zebra-authorities-dom.cfg</config>

change
<zebra_bib_index_mode>grs1</zebra_bib_index_mode>
<zebra_auth_index_mode>grs1</zebra_auth_index_mode>

go into the about screen in the staff client, select 'System Information' tab.
You will see the messages.

apply patch

refresh page
select 'System Information' tab
You will see the revised messages.

restore koha-conf.xml
Comment 4 Mark Tompsett 2016-09-19 17:27:28 UTC
Created attachment 55699 [details] [review]
Bug 13405 - System information has misleading information about indexing mode

With this patch when <zebra_bib_index_mode> or <zebra_auth_index_mode> are set to 'grs1'
it appears a link to https://wiki.koha-community.org/wiki/Switching_to_dom_indexing
instead of a misleading information.

To test:
a)Insert 'grs1' in <zebra_bib_index_mode> or <zebra_auth_index_mode> (file koha-conf.xml)
b)It appers a  misleading warning
c)Apply the patch
d)It appears a link to https://wiki.koha-community.org/wiki/Switching_to_dom_indexing.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 5 Katrin Fischer 2016-09-25 08:40:36 UTC
Created attachment 55794 [details] [review]
[PASSED QA] Bug 13405 - System information has misleading information about indexing mode

With this patch when <zebra_bib_index_mode> or <zebra_auth_index_mode> are set to 'grs1'
it appears a link to https://wiki.koha-community.org/wiki/Switching_to_dom_indexing
instead of a misleading information.

To test:
a)Insert 'grs1' in <zebra_bib_index_mode> or <zebra_auth_index_mode> (file koha-conf.xml)
b)It appers a  misleading warning
c)Apply the patch
d)It appears a link to https://wiki.koha-community.org/wiki/Switching_to_dom_indexing.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 6 Kyle M Hall 2016-09-27 11:16:14 UTC
Pushed to master for 16.11, thanks Zeno!
Comment 7 Frédéric Demians 2016-09-30 08:54:48 UTC
Pushed in 16.05. Will be in 16.05.05.
Comment 8 Julian Maurice 2016-10-14 12:24:03 UTC
Pushed to 3.22.x, will be in 3.22.12